package com.ruoyi.project.document.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 装置程序清单对象 t_plantproglist
 *
 * @author ruoyi
 * @date 2020-11-26
 */
public class TPlantproglist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 部门 */
    private String department;

    /** 文件类型（程序汇总/表格汇总） */
    @Excel(name = "文件类型", dictType = "FIREEMERGENCY_ITEM")
    private Long item;

    /** 文件编号 */
    @Excel(name = "文件编号")
    private String fileno;

    /** 文件名称 */
    @Excel(name = "文件名称")
    private String filename;

    /** 版次 */
    @Excel(name = "版次")
    private String revision;

    /** RC代码 */
    @Excel(name = "RC代码")
    private String rccode;

    /** 载体 */
    private String carrier;

    /** 责任者 */
    @Excel(name = "更新负责人")
    private String responsibility;

    /** 文件日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date filedate;

    /** 下次修改日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次修订日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nexteditdate;

    /** 回顾频率 */
    @Excel(name = "回顾频率")
    private String reviewFrequency;

    /** 本次回顾日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date reviewdate;

    /** 回顾结果 */
    @Excel(name = "回顾结果")
    private String reviewResult;

    /** 下次回顾日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "下次回顾日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date nextreviewdate;

    /** 状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 分级 */
    @Excel(name = "密级分类", dictType = "CLASSIFY")
    private String classify;

    /** 控制室文件版本 */
    @Excel(name = "控制室文件版本")
    private String versionKzs;

    /** 控制室文件版本 */
    @Excel(name = "公共盘文件版本")
    private String versionPan;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 附件编号 */
    @Excel(name = "附件编号")
    private String attachmentNo;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String attachmentName;

    /** 附件版次 */
    @Excel(name = "附件版次")
    private String attachmentRevision;

    /** 附件修改日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "附件修改日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date revisionDate;

    private String dataCount;

    private String dataMonth;

    private String startDate;

    private String endDate;

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

    public String getDataCount() {
        return dataCount;
    }

    public void setDataCount(String dataCount) {
        this.dataCount = dataCount;
    }

    public String getDataMonth() {
        return dataMonth;
    }

    public void setDataMonth(String dataMonth) {
        this.dataMonth = dataMonth;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDepartment(String department)
    {
        this.department = department;
    }

    public String getDepartment()
    {
        return department;
    }
    public void setFileno(String fileno)
    {
        this.fileno = fileno;
    }

    public String getFileno()
    {
        return fileno;
    }
    public void setFilename(String filename)
    {
        this.filename = filename;
    }

    public String getFilename()
    {
        return filename;
    }
    public void setRevision(String revision)
    {
        this.revision = revision;
    }

    public String getRevision()
    {
        return revision;
    }
    public void setRccode(String rccode)
    {
        this.rccode = rccode;
    }

    public String getRccode()
    {
        return rccode;
    }
    public void setCarrier(String carrier)
    {
        this.carrier = carrier;
    }

    public String getCarrier()
    {
        return carrier;
    }
    public void setResponsibility(String responsibility)
    {
        this.responsibility = responsibility;
    }

    public String getResponsibility()
    {
        return responsibility;
    }
    public void setFiledate(Date filedate)
    {
        this.filedate = filedate;
    }

    public Date getFiledate()
    {
        return filedate;
    }
    public void setReviewdate(Date reviewdate)
    {
        this.reviewdate = reviewdate;
    }

    public Date getReviewdate()
    {
        return reviewdate;
    }
    public void setNextreviewdate(Date nextreviewdate)
    {
        this.nextreviewdate = nextreviewdate;
    }

    public Date getNextreviewdate()
    {
        return nextreviewdate;
    }
    public void setNexteditdate(Date nexteditdate)
    {
        this.nexteditdate = nexteditdate;
    }

    public Date getNexteditdate()
    {
        return nexteditdate;
    }
    public void setItem(Long item)
    {
        this.item = item;
    }

    public Long getItem()
    {
        return item;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setClassify(String classify)
    {
        this.classify = classify;
    }

    public String getClassify()
    {
        return classify;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public String getReviewFrequency() { return reviewFrequency; }

    public void setReviewFrequency(String reviewFrequency) { this.reviewFrequency = reviewFrequency; }
    public String getReviewResult() { return reviewResult; }

    public void setReviewResult(String reviewResult) { this.reviewResult = reviewResult; }

    public String getVersionKzs() {
        return versionKzs;
    }

    public void setVersionKzs(String versionKzs) {
        this.versionKzs = versionKzs;
    }

    public String getVersionPan() {
        return versionPan;
    }

    public void setVersionPan(String versionPan) {
        this.versionPan = versionPan;
    }
    public void setAttachmentNo(String attachmentNo) { this.attachmentNo = attachmentNo; }

    public String getAttachmentNo() { return attachmentNo; }
    public void setAttachmentName(String attachmentName) { this.attachmentName = attachmentName; }

    public String getAttachmentName() { return attachmentName; }
    public void setAttachmentRevision(String attachmentRevision) { this.attachmentRevision = attachmentRevision; }

    public String getAttachmentRevision() { return attachmentRevision; }
    public void setRevisionDate(Date revisionDate) { this.revisionDate = revisionDate; }

    public Date getRevisionDate() { return revisionDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("department", getDepartment())
                .append("fileno", getFileno())
                .append("filename", getFilename())
                .append("revision", getRevision())
                .append("rccode", getRccode())
                .append("carrier", getCarrier())
                .append("responsibility", getResponsibility())
                .append("filedate", getFiledate())
                .append("reviewdate", getReviewdate())
                .append("nextreviewdate", getNextreviewdate())
                .append("nexteditdate", getNexteditdate())
                .append("item", getItem())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("remarks", getRemarks())
                .append("classify", getClassify())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("reviewFrequency", getReviewFrequency())
                .append("reviewResult", getReviewResult())
                .toString();
    }
}
